Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.easysw.cups
Class CupsPrinter

    java.lang.Object
      |
      +--com.easysw.cups.CupsPrinter

public class CupsPrinter
extends java.lang.Object

Constructor Summary
`CupsPrinter(Cups c)` Constructor.
`CupsPrinter(Cups c, java.lang.String name)` Constructor with name.

Method Summary
`boolean` | `getAttributes(Cups c)` Get the printer's attributes.
`int` | `getCopiesDefault()` Get the printer number of copies default.
`java.lang.String` | `getJobSheetsDefault()` Get the default job sheets.
`java.lang.String[]` | `getJobSheetsSupported()` Get the printer job sheets supported.
`java.lang.String` | `getLocation()` Get the printer location.
`int` | `getLowerCopiesSupported()` Get the printer lower copies supported.
`java.lang.String` | `getMakeAndModel()` Get the printer make and model.
`int` | `getOrientationDefault()` Get the default orientation.
`int[]` | `getOrientationSupported()` Get the printer orientation supported.
`boolean` | `getPageRangesSupported()` Get whether the printer supports page ranges.
`java.lang.String` | `getPrinterName()` Get the printer name.
`java.lang.String` | `getStateReasons()` Get the printer state reasons.
`java.lang.String` | `getStateText()` Get the printer state text.
`boolean` | `getStatus(Cups c)` Get the printer's status.
`int` | `getUpperCopiesSupported()` Get the printer upper copies supported.
`void` | `setDefaults()` Initialize the members with mostly sane values.
`void` | `updateAttribute(IPPAttribute a)` Process an attribute from the cups.doRequest() method and move the values into local members.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CupsPrinter

    public CupsPrinter(Cups c)

  Constructor. Does not get status or attributes.
  Parameters:
    ``c`` - Cups object.
  See Also:
    `Cups`

### CupsPrinter

    public CupsPrinter(Cups c,
                       java.lang.String name)

  Constructor with name. Get status and attributes.
  Parameters:
    ``c`` - Cups object.
    ``name`` - Name of printer.
  See Also:
    `Cups`

Method Detail

### setDefaults

    public void setDefaults()

  Initialize the members with mostly sane values.

### getStatus

    public boolean getStatus(Cups c)

  Get the printer's status.
  Parameters:
    ``c`` - Cups object.
  Returns:
    `Boolean` True on success.
  See Also:
    `Cups`

### getAttributes

    public boolean getAttributes(Cups c)

  Get the printer's attributes.
  Parameters:
    ``c`` - Cups object.
  Returns:
    `Boolean` True on success.
  See Also:
    `Cups`

### updateAttribute

    public void updateAttribute(IPPAttribute a)

  Process an attribute from the cups.doRequest() method and move the values into local members.
  Parameters:
    ``a`` - IPPAttribute.
  See Also:
    `IPPAttributes`, `IPPValues`

### getPrinterName

    public java.lang.String getPrinterName()

  Get the printer name.
  Returns:
    `String` Printer Name.

### getStateText

    public java.lang.String getStateText()

  Get the printer state text.
  Returns:
    `String` State text.

### getStateReasons

    public java.lang.String getStateReasons()

  Get the printer state reasons.
  Returns:
    `String` State reason.

### getLocation

    public java.lang.String getLocation()

  Get the printer location.
  Returns:
    `String` State location.

### getMakeAndModel

    public java.lang.String getMakeAndModel()

  Get the printer make and model.
  Returns:
    `String` Make and model.

### getJobSheetsDefault

    public java.lang.String getJobSheetsDefault()

  Get the default job sheets.
  Returns:
    `String` Default job sheets.

### getJobSheetsSupported

    public java.lang.String[] getJobSheetsSupported()

  Get the printer job sheets supported.
  Returns:
    `String[]` Array of supported job sheets.

### getOrientationDefault

    public int getOrientationDefault()

  Get the default orientation.
  Returns:
    `int` Default page orientation.

### getOrientationSupported

    public int[] getOrientationSupported()

  Get the printer orientation supported.
  Returns:
    `int[]` Array of supported orientations.

### getLowerCopiesSupported

    public int getLowerCopiesSupported()

  Get the printer lower copies supported.
  Returns:
    `int` Lower of the range.

### getUpperCopiesSupported

    public int getUpperCopiesSupported()

  Get the printer upper copies supported.
  Returns:
    `int` Upper of the range.

### getCopiesDefault

    public int getCopiesDefault()

  Get the printer number of copies default.
  Returns:
    `int` Default number of copies.

### getPageRangesSupported

    public boolean getPageRangesSupported()

  Get whether the printer supports page ranges.
  Returns:
    `boolean` True or false.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD